#!/usr/bin/fish

set scriptdir (dirname (status --current-filename)) 

source $scriptdir/config.fish
source $scriptdir/utils.fish

if test -d $subvoldir
	echo "Backup directory already exists, aborting..."
	exit
end

echo "Creating subvolume directory..."
mkdir $subvoldir

echo "Creating initial snapshots..."
for pair in (get-subvol-mounts)
	set subvol (get-subvol $pair)
	set mount (get-mount $pair)

	set safename (clean-name $subvol)
	set safepath $subvoldir/$safename

	sudo btrfs subvolume snapshot -r $mount $safepath
end
